<?php
include_once('../../../php/sessionStart.php');
include_once('../../../php/db/dbExec.php');
include_once('../../../php/functions.php');
include_once('../../../php/timezone.php');
include_once('../../../php/privileges.php');

$bitForm = "inv1140";
$bitMod = "inv";
$empCod = $_SESSION['empCod'];
$usuCod = utf8_decode($_SESSION['usuCod']);
$usuNom = utf8_decode($_SESSION['usuNom']);

switch ($_POST['action']) {
	case 'consultar':
		echo consultar();
		break;

	case 'consultarSubdep':
		echo consultarSubdep();
		break;

	case 'guardar':
		echo guardar();
		break;

	case 'borrar':
		echo borrar();
		break;
}

function consultarSubdep() {
	global $empCod;
	$selDepto=utf8_decode($_POST['selDepto']);
	# QUERYS
	$sSubdep = "SELECT *, TRIM(sdep_cod) AS sdep_cod,TRIM(sdep_nom) AS sdep_nom FROM subdeptosi where sdep_dep='$selDepto' ORDER BY sdep_nom";

	# EJECUCION DE QUERYS
	$db = new dbExec();
	$resp["subdeptosi"] = $db->sFetchAll($sSubdep);
	$db->close();

	$func = new functions();

	return $func->jsonEncodeArray($resp, "subdeptosi");
}

function consultar() {
	global $empCod;
	$selDepto=utf8_decode($_POST['selDepto']);
	$selSubDepto=utf8_decode($_POST['selSubDepto']);
	$dtDel=$_POST['dtDel'];
	$dtAl=$_POST['dtAl'];

	# QUERYS
	$sOfertas = "SELECT * FROM ofertas WHERE of_emp='$empCod' AND of_dep='$selDepto' AND of_subdep='$selSubDepto' AND of_del='$dtDel' AND of_al='$dtAl'";

	# EJECUCION DE QUERYS
	$db = new dbExec();
	$resp = $db->sEx($sOfertas, "ofertas");
	$db->close();

	$func = new functions();

	return $func->jsonEncodeArray($resp, "ofertas");
}

function guardar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$priv = new privileges();
	if (!$priv->modify($_SESSION['usuPriv'])) {
		return json_encode($priv->rErrorModify());
	}

	$func = new functions();

	$selDepto=utf8_decode($_POST['selDepto']);
	$selSubDepto=utf8_decode($_POST['selSubDepto']);
	$dtDel=$_POST['dtDel'];
	$dtAl=$_POST['dtAl'];
	$numDescud=$_POST['numDescud'];

	# QUERYS PARA UN REGISTRO
	$iOfertas = "INSERT INTO ofertas(of_emp, of_dep, of_subdep, of_del, of_al, of_porc) VALUES ('$empCod','$selDepto','$selSubDepto','$dtDel','$dtAl','$numDescud')";

	$uOfertas = "UPDATE ofertas SET of_porc='$numDescud' WHERE of_emp='$empCod' AND of_dep='$selDepto' AND of_subdep='$selSubDepto' AND of_del='$dtDel' AND of_al='$dtAl'";

	# EJECUCION DE QUERYS 
	$db = new dbExec();
	if ($func->stringToBool($_POST['nuevo'])) {
		$resp = $db->iEx($iOfertas);
		$db->iEx($func->iBitacora(utf8_decode("Se creó Oferta, Depto: $selDepto Subdepto: $selSubDepto Del: $dtDel AL: $dtAl Porcentaje: $numDescud Usuario: ").$usuNom, $bitMod, $bitForm));
	} else {
		$resp = $db->uEx($uOfertas);
		$db->iEx($func->iBitacora(utf8_decode("Se modificó Oferta, Depto: $selDepto Subdepto: $selSubDepto Del: $dtDel AL: $dtAl Porcentaje: $numDescud Usuario: ").$usuNom, $bitMod, $bitForm));
	}
	
	$db->close();

	return json_encode($resp);
}

function borrar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$func = new functions();

	$selDepto=utf8_decode($_POST['selDepto']);
	$selSubDepto=utf8_decode($_POST['selSubDepto']);
	$dtDel=$_POST['dtDel'];
	$dtAl=$_POST['dtAl'];
	$numDescud=$_POST['numDescud'];

	# QUERYS
	$dOfertas = "DELETE FROM ofertas WHERE of_emp='$empCod' AND of_dep='$selDepto' AND of_subdep='$selSubDepto' AND of_del='$dtDel' AND of_al='$dtAl'";

	# EJECUCION DE QUERYS 
	$db = new dbExec();
	$resp = $db->dEx($dOfertas);
	$db->iEx($func->iBitacora(utf8_decode("Se borró Oferta, Depto: $selDepto Subdepto: $selSubDepto Del: $dtDel AL: $dtAl Porcentaje: $numDescud  Usuario: ").$usuNom, $bitMod, $bitForm));
	$db->close();

	return json_encode($resp);
}
?>